class Leven:
    def __init__(self, naam, ntype):
        self.naam = naam
        self.naam_type = ntype
class Dier(Leven):
    def __init__(self, naam, ntype):
        super().__init__(naam, ntype)
    def __repr__(self):
        return f"Dit object is een dier.\nNaam: {self.naam}  Type: {self.naam_type}"

dier = Dier("Haring", "Vis")
#dier = Dier()
print(dier.__repr__())
print(repr(dier))
print(dier)
